import { getRowValueData, getRowValueWithConstraintsDataForMVC1, getRowValueWithConstraintsDataForMVC2, getRowValueWithConstraintsDataForMVC3, getRowValueWithConstraintsDataForMVC6 } from './data/tableCompactCollapseHelper.data';
import { applyCompactValuesCountConstraint } from './tableCompactCollapseHelpers';
var rowValue = getRowValueData();
describe('applyCompactValuesCountConstraint tests', function () {
    it('should not update row value if maxValuesCount is Infinity', function () {
        var maxValuesCount = Infinity;
        expect(applyCompactValuesCountConstraint(maxValuesCount)(rowValue)).toEqual(rowValue);
    });
    it('should correctly apply constraints for maxValuesCount 1', function () {
        var maxValuesCount = 1;
        expect(applyCompactValuesCountConstraint(maxValuesCount)(rowValue)).toEqual(getRowValueWithConstraintsDataForMVC1());
    });
    it('should correctly apply constraints for maxValuesCount 2', function () {
        var maxValuesCount = 2;
        expect(applyCompactValuesCountConstraint(maxValuesCount)(rowValue)).toEqual(getRowValueWithConstraintsDataForMVC2());
    });
    it('should correctly apply constraints for maxValuesCount 3', function () {
        var maxValuesCount = 3;
        expect(applyCompactValuesCountConstraint(maxValuesCount)(rowValue)).toEqual(getRowValueWithConstraintsDataForMVC3());
    });
    it('should correctly apply constraints for maxValuesCount 6', function () {
        var maxValuesCount = 6;
        expect(applyCompactValuesCountConstraint(maxValuesCount)(rowValue)).toEqual(getRowValueWithConstraintsDataForMVC6());
    });
});
